
package etunicorn.generated;

import java.math.BigDecimal;
import java.util.Date;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


/**
 * No description
 * (Generated with springmvc-raml-parser v.0.8.9)
 * 
 */
@RestController
@RequestMapping("/v1/evenement")
public interface EvenementController {


    /**
     * Obtenir la liste de tout les evenements. Nécessite EVNMT_ADMIN ou EVNMT_ACHETER ou EVNMT_REMBOURSER
     * 
     */
    @RequestMapping(value = "", method = RequestMethod.GET)
    public ResponseEntity<?> getEvenement();

    /**
     * Permet de creer un nouvel evenement. Nécessite EVNMT_ADMIN
     * 
     */
    @RequestMapping(value = "", method = RequestMethod.POST)
    public ResponseEntity<?> updateEvenement(
        @RequestParam
        String nomEvenement,
        @RequestParam
        BigDecimal prix,
        @RequestParam
        Date date);

    /**
     * Permet de modifier un évènement existant. Nécessite EVNMT_ADMIN
     * 
     */
    @RequestMapping(value = "/{evenementId}", method = RequestMethod.PUT)
    public ResponseEntity<?> updateEvenementById(
        @PathVariable
        String evenementId,
        @RequestParam(required = false)
        String nomEvenement,
        @RequestParam(required = false)
        BigDecimal prix,
        @RequestParam(required = false)
        Date date);

    /**
     * Obtenir l'evenement {evenementId}. Nécessite EVNMT_ADMIN ou EVNMT_ACHETER ou EVNMT_REMBOURSER
     * 
     */
    @RequestMapping(value = "/{evenementId}", method = RequestMethod.GET)
    public ResponseEntity<?> getEvenementById(
        @PathVariable
        String evenementId);

    /**
     * Permet de supprimer l'evenement {evenementId}. Nécessite EVNMT_ADMIN
     * 
     */
    @RequestMapping(value = "/{evenementId}", method = RequestMethod.DELETE)
    public ResponseEntity<?> deleteEvenementById(
        @PathVariable
        String evenementId);

}
