
package etunicorn.generated;

import java.math.BigDecimal;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


/**
 * No description
 * (Generated with springmvc-raml-parser v.0.8.9)
 * 
 */
@RestController
@RequestMapping("/v1/transaction")
public interface TransactionController {


    /**
     * Permet de recuperer la liste des transaction
     * 
     */
    @RequestMapping(value = "", method = RequestMethod.GET)
    public ResponseEntity<?> getTransaction();

    /**
     * Permet de faire payer ou de crediter un Compte. >0 la personne a crediter de l'argent. <0 la personne a été débité.
     * 
     */
    @RequestMapping(value = "/consommation", method = RequestMethod.POST)
    public ResponseEntity<?> updateConsommation(
        @RequestParam
        Long participant,
        @RequestParam
        Long id);

    /**
     * 
     * 
     */
    @RequestMapping(value = "/evenement", method = RequestMethod.POST)
    public ResponseEntity<?> updateEvenement(
        @RequestParam
        Long participant,
        @RequestParam
        Long id);

    /**
     * Permet de recharger un compte
     * 
     */
    @RequestMapping(value = "/evenement/credit", method = RequestMethod.POST)
    public ResponseEntity<?> updateEvenementCredit(
        @RequestParam
        Long participant,
        @RequestParam
        BigDecimal prix);

    /**
     * Permet de debiter la carte
     * 
     */
    @RequestMapping(value = "/evenement/debit", method = RequestMethod.POST)
    public ResponseEntity<?> updateEvenementDebit(
        @RequestParam
        Long participant,
        @RequestParam
        BigDecimal prix);

    /**
     * Permet de recuperer la liste des transaction d'une personne
     * 
     */
    @RequestMapping(value = "/participant/{idPersonne}", method = RequestMethod.GET)
    public ResponseEntity<?> getParticipantByIdPersonne(
        @PathVariable
        String idPersonne);

    /**
     * Permet de recuperer la liste des transaction d'une personne
     * 
     */
    @RequestMapping(value = "/acteur/{idPersonne}", method = RequestMethod.GET)
    public ResponseEntity<?> getActeurByIdPersonne(
        @PathVariable
        String idPersonne);

}
